/* expects ti-elements.css */

/* teaser-container */
.ce-grid-container {
    display: flex;
    flex-wrap: wrap;
    margin-left: -0.625rem;
    margin-right: -0.625rem;
}
.ce-grid-container > .ce-element {
    width: 100%;
    padding: 0 0.625rem;
}

@media (min-width: 47.5em) {
    .ce-grid-container-4 > .ce-element,
    .ce-grid-container-3 > .ce-element,
    .ce-grid-container-2 > .ce-element {
        width: 50%;
    }
}
@media (min-width: 62.5em) {
    .ce-grid-container {
        margin-left: -1.25rem;
        margin-right: -1.25rem;
    }
    .ce-grid-container > .ce-element {
        padding: 0 1.25rem;
    }
    .ce-grid-container-4 > .ce-element,
    .ce-grid-container-3 > .ce-element {
        width: 33.33%;
    }
}

@media (min-width: 92.5em) {
    .ce-grid-container-4 > .ce-element {
        width: 25%;
    }
}

.ce-grid-container .ce-layout-box-outer:not(.not-linked):hover {
    box-shadow: 0 0.125rem 1.25rem rgba(0, 0, 0, 0.125);
}
.ce-grid-container .ce-element:focus-within .ce-layout-box-outer {
    box-shadow: 0 0.125rem 1.25rem rgba(0, 0, 0, 0.125);
}
.ce-grid-container .ce-teaserlink-link:focus-visible {
    outline: 2px red;
}

/* teaser element */
.ce-teaser-svg {
    display: block;
    margin: 0 auto 1.25rem;
    max-width: 50%;
    transition: color 0.25s ease-in-out;
}
.ce-teaser-svg path {
    fill: currentColor; /* this might break some svg! */
}

.ce-teaser {
    position: relative;
}
.ce-teaser a::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1;
}

.ce-iconteaser {
    background-color: rgb(255, 255, 255);
    box-shadow: 0 0 4px rgba(0, 0, 0, 0.125);
    padding: 0.3125rem;
    display: flex;
    align-items: center;
}

.ce-iconteaser .ce-teaser-icon {
    flex-shrink: 0;
    margin-right: 0.625rem;
}

.ce-iconteaser .ce-teaser-cta {
    flex-grow: 1;
}

.ce-iconteaser .ce-teaser-svg {
    width: 3.125rem;
    height: 3.125rem;
    max-width: none;
    margin: 0;
}

.ce-iconteaser .ce-teaser-cta {
    color: currentColor;
    text-decoration: none;
}

.ce-imageteaser .ce-teaser-cta::after {
    content: "";
    position: absolute;
    z-index: 5;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.ce-imageteaser .ce-teaser-cta-inner {
    position: absolute;
    z-index: 4;
    top: 1.875rem;
    left: 1.25rem;
    right: 1.25rem;
    border-left: 4px solid rgb(0, 113, 187);
    padding-left: 0.9375rem;
    color: rgb(255, 255, 255);
    font-size: 125%;
    font-weight: 600;
    text-decoration: none;
}

.ce-imageteaser .ce-teaser-bodytext {
    position: absolute;
    z-index: 3;
    bottom: 1.875rem;
    right: 1.25rem;
    border-right: 4px solid rgb(255, 255, 255);
    margin-bottom: 0;
    padding-right: 0.625rem;
    color: rgb(255, 255, 255);
    text-align: right;
    opacity: 0;
    transition: opacity ease-in-out 0.25s;
}

.ce-imageteaser .ce-teaser-media {
    background-color: rgb(0, 113, 187);
}

.ce-imageteaser .ce-teaser-media::after {
    content: "";
    position: absolute;
    z-index: 2;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    background-color: rgb(0, 113, 187);
    transition: opacity ease-in-out 0.25s;
}

.ce-imageteaser:hover .ce-teaser-media::after {
    opacity: 0.75;
}

.ce-imageteaser:focus-within .ce-teaser-media::after {
    opacity: 0.75;
}

.ce-imageteaser:hover .ce-teaser-cta-inner {
    border-left-color: rgb(255, 255, 255) !important;
}

.ce-imageteaser:focus-within .ce-teaser-cta-inner {
    border-left-color: rgb(255, 255, 255) !important;
}

.ce-imageteaser:hover .ce-teaser-bodytext {
    opacity: 1;
}

.ce-imageteaser:focus-within .ce-teaser-bodytext {
    opacity: 1;
}

.ce-counterteaser {
    text-align: center;
    .ce-teaser-counter {
        color: #0071bb;
        font-weight: bold;
        font-size: 300%;
    }
}
